/* safe memory allocation routines */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>

void *xmalloc(size_t sz)
{
	void *p = malloc(sz);
	if (p == NULL) {
		printf("Can't allocate %d bytes of memory\n", sz);
		exit(1);
	}
	memset(p,0,sz);
	return p;
}

void *xrealloc(void *op, size_t newsz)
{
	void *p = realloc(op, newsz);
	if (p == NULL) {
		printf("Can't realloc() to %d\n", newsz);
		exit(1);
	}
	return p;
}


